Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface WTCtBridgeGlobalMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

public interface WTCtBridgeGlobalMBean
extends ConfigurationMBean

This interface provides access to the WTC tBridge Global configuration attributes. The methods defined herein are applicable for tBridge configuration at the WLS domain level.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

Since:
  7.0.0.0

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getAllowNonStandardTypes()` Specifies whether non-standard data types are allowed to pass through this Tuxedo queuing bridge.
`String` | `getDefaultReplyDeliveryMode()` The reply delivery mode to associate with a message when placing messages onto the target location.
`String` | `getDeliveryModeOverride()` The delivery mode to use when placing messages onto the target location.
`String` | `getJmsFactory()` The name of the JMS connection factory.
`String` | `getJmsToTuxPriorityMap()` The mapping of priorities from JMS to Tuxedo.
`String` | `getJndiFactory()` The name of the JNDI lookup factory.
`int` | `getRetries()` The number of attempts to redirect a message before this Tuxedo queuing bridge places the message in the specified error location and logs an error.
`int` | `getRetryDelay()` The minimum number of milliseconds this Tuxedo queuing bridge waits before redirecting a message after a failure.
`int` | `getTimeout()` The number of timeout seconds for an entire redirection when this Tuxedo queuing bridge places a message on the target location.
`String` | `getTransactional()` Specifies whether this Tuxedo queuing bridge should use transactions when retrieving messages from a source location and when placing messages on a target location.
`String` | `getTuxErrorQueue()` The name of the Tuxedo queue used to store a message that cannot be redirected to a Tuxedo/Q source queue.
`String` | `getTuxFactory()` The name of the Tuxedo connection factory.
`String` | `getTuxToJmsPriorityMap()` The mapping of priorities to map from Tuxedo to JMS.
`String` | `getUserId()` The user identity for all messages handled by this Tuxedo queuing bridge for ACL checks when security is configured.
`String` | `getWlsErrorDestination()` The name of the location used to store WebLogic Server JMS messages when a message cannot be redirected.
`void` | `setAllowNonStandardTypes(String AllowNonStandardType)` Sets the value of the AllowNonStandardTypes attribute.
`void` | `setDefaultReplyDeliveryMode(String DefaultReplyDeliveryMode)` Sets the value of the DefaultReplyDeliveryMode attribute.
`void` | `setDeliveryModeOverride(String DeliveryModeOverride)` Sets the value of the DeliveryModeOverride attribute.
`void` | `setJmsFactory(String JmsFactory)` Sets the value of the JmsFactory attribute.
`void` | `setJmsToTuxPriorityMap(String jms2tuxpmap)` Sets the value of the JmsToTuxPriorityMap attribute.
`void` | `setJndiFactory(String JndiFactory)` Sets the value of the JndiFactory attribute.
`void` | `setRetries(int Retries)` Sets the value of the Retries attribute.
`void` | `setRetryDelay(int RetryDelay)` Sets the value of the RetryDelay attribute.
`void` | `setTimeout(int Timeout)` Sets the value of the Timeout attribute.
`void` | `setTransactional(String isTransactional)` Sets the value of the Transactional attribute.
`void` | `setTuxErrorQueue(String TuxErrorQueue)` Sets the value of the TuxErrorQueue attribute.
`void` | `setTuxFactory(String TuxFactory)` Sets the value of the TuxFactory attribute.
`void` | `setTuxToJmsPriorityMap(String tux2jmspmap)` Sets the value of the TuxToJmsPriorotyMap attribute.
`void` | `setUserId(String UserId)` Sets the value of the UserId attribute.
`void` | `setWlsErrorDestination(String WlsErrorDestination)` Sets the value of the WlsErrorDestination attribute.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAllowNonStandardTypes

    public String getAllowNonStandardTypes()

  Specifies whether non-standard data types are allowed to pass through this Tuxedo queuing bridge.

  A value of `NO` means that non standard types are rejected and placed onto a specified error location; a value of `YES` means that non-standard types are placed on the target location as BLOBs with a tag indicating the original type.

  Note: Standard types are: ASCII text (TextMessage, STRING), or BLOB (BytesMessage, CARRAY).

  Returns:
    The allowNonStandardTypes value
  A dynamic MBean attribute.

### getDefaultReplyDeliveryMode

    public String getDefaultReplyDeliveryMode()

  The reply delivery mode to associate with a message when placing messages onto the target location.

  Usage Notes:

  - Use when messages are being redirected to Tuxedo/Q from JMS and the `JMS_BEA_TuxGtway_Tuxedo_ReplyDeliveryMode` property is not set for a message.
  - If the `defaultReplyDeliveryMode` and `JMS_BEA_TuxGtway_Tuxedo_ReplyDeliveryMode` are not set, the default semantics defined for Tuxedo are enforced by the Tuxedo/Q subsystem.

  Returns:
    The defaultReplyDeliveryMode value
  A dynamic MBean attribute.

### getDeliveryModeOverride

    public String getDeliveryModeOverride()

  The delivery mode to use when placing messages onto the target location.

  If this value is not specified, the message is placed on the target location with the same delivery mode specified from the source location.

  Note: This value overrides any delivery mode associated with a message.

  Returns:
    The deliveryModeOverride value
  A dynamic MBean attribute.

### getJmsFactory

    public String getJmsFactory()

  The name of the JMS connection factory.

  Example: `weblogic.jms.ConnectionFactory`

  Returns:
    The jmsFactory value
  A dynamic MBean attribute.

### getJmsToTuxPriorityMap

    public String getJmsToTuxPriorityMap()

  The mapping of priorities from JMS to Tuxedo. The default JMS To Tux Priority Map is: `0:1 | 1:12 | 2:23 | 3:34 | 4:45 |5:56 | 6:67 | 7:78 | 8:89 | 9:100.`

  Examples: `0:1 | 1:12 | 2:23 | 3:34 | 4:45 | 5:56 | 6:67 | 7:78 | 8:89 | 9:100 or 0:1-10|1:11-20|2:21-30|3:31-40|4:41-50|5:51-60|6:61-70|7:71-80|8:81-90|9:91-100`

  Note: The are 10 possible JMS priorities(0=>9) which can be paired to 100 possible Tuxedo priorities(1=>100). A mapping consists of a "|" separated list of value-to-range pairs (jmsvalue:tuxrange) where pairs are separated by ":" and ranges are separated by "-".

  Returns:
    The jmsToTuxPriorityMap value
  A dynamic MBean attribute.

### getJndiFactory

    public String getJndiFactory()

  The name of the JNDI lookup factory.

  Example: `weblogic.jndi.WLInitialContextFactory`

  Returns:
    The jndiFactory value
  A dynamic MBean attribute.

### getRetries

    public int getRetries()

  The number of attempts to redirect a message before this Tuxedo queuing bridge places the message in the specified error location and logs an error.

  Range of Values: Between 0 and a positive 32-bit integer.

  Returns:
    The retries value
  A dynamic MBean attribute.

### getRetryDelay

    public int getRetryDelay()

  The minimum number of milliseconds this Tuxedo queuing bridge waits before redirecting a message after a failure.

  Note: During this waiting period, no other messages are redirected from the thread. Other threads may continue to redirect messages.

  Range of Values: Between ``0`` and a positive 32-bit integer.

  Returns:
    The retryDelay value
  A dynamic MBean attribute.

### getTimeout

    public int getTimeout()

  The number of timeout seconds for an entire redirection when this Tuxedo queuing bridge places a message on the target location. A value of `0` specifies an infinite wait.

  Range of Values: Between `0` and a positive 32-bit integer.

  Returns:
    The timeout value
  A dynamic MBean attribute.

### getTransactional

    public String getTransactional()

  Specifies whether this Tuxedo queuing bridge should use transactions when retrieving messages from a source location and when placing messages on a target location.

  A value of `YES` means that transactions are used for both operations; a value of `NO` means that transactions are not used for either operation.

  Note: Transactional is not supported in this release.

  Returns:
    The transactional value
  A dynamic MBean attribute.

### getTuxErrorQueue

    public String getTuxErrorQueue()

  The name of the Tuxedo queue used to store a message that cannot be redirected to a Tuxedo/Q source queue.

  If not specified, all messages not redirected are lost. If the message cannot be placed into the `TuxErrorQueue`, an error is logged and the message is lost.

  Note: This queue is in the same queue space as the source queue.

  Returns:
    The tuxErrorQueue value
  A dynamic MBean attribute.

### getTuxFactory

    public String getTuxFactory()

  The name of the Tuxedo connection factory.

  Example: `tuxedo.services.TuxedoConnection`

  Returns:
    The tuxFactory value
  A dynamic MBean attribute.

### getTuxToJmsPriorityMap

    public String getTuxToJmsPriorityMap()

  The mapping of priorities to map from Tuxedo to JMS. The default JMS To Tux Priority Map is: `1-10:0 | 11-20:1 | 21-30:2 | 31-40:3| 41-50:4| 51-60:5 | 61-70:6 | 71-80:7 | 81-90:8 | 91-100:9`.``

  Examples: `1:0 | 12:1 | 23:2 | 34:3 | 45:4 | 56:5 | 67:6 | 78:7 | 89:8 | 100:9 or 20:0-1 | 40:2-3 | 60:4-5 | 80:6-7 | 100:8-9`

  Note: The are 100 possible Tuxedo priorities(1=>100) which can be paired to 10 possible JMS priorities(0=>9). A mapping consists of a "|" separated list of value-to-range pairs (tuxvalue:jmsrange) where pairs are separated by ":" and ranges are separated by "-".

  Returns:
    The tuxToJmsPriorityMap value
  A dynamic MBean attribute.

### getUserId

    public String getUserId()

  The user identity for all messages handled by this Tuxedo queuing bridge for ACL checks when security is configured.

  All messages assume this identity until the security/authentication contexts are passed between the subsystems. Until the security contexts are passed, there is no secure method to identify who generated a message received from the source location.

  Note: The `user` argument may be specified as either a user name or a user identification number (uid).

  Returns:
    The userId value
  A dynamic MBean attribute.

### getWlsErrorDestination

    public String getWlsErrorDestination()

  The name of the location used to store WebLogic Server JMS messages when a message cannot be redirected.

  If not specified, all messages not redirected are lost. If the message cannot be placed into `WlsErrorDestination` for any reason, an error is logged and the message is lost.

  Returns:
    The wlsErrorDestination value
  A dynamic MBean attribute.

### setAllowNonStandardTypes

    public void setAllowNonStandardTypes(String AllowNonStandardType)
                                  throws InvalidAttributeValueException

  Sets the value of the AllowNonStandardTypes attribute.

  Parameters:
    `AllowNonStandardType` - reply mode for placing messages onto target
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAllowNonStandardTypes()`
  Default value:
    "NO"
  Legal values:
    "Yes", "No"
  A dynamic MBean attribute.

### setDefaultReplyDeliveryMode

    public void setDefaultReplyDeliveryMode(String DefaultReplyDeliveryMode)
                                     throws InvalidAttributeValueException

  Sets the value of the DefaultReplyDeliveryMode attribute.

  Parameters:
    `DefaultReplyDeliveryMode` - reply mode for placing messages onto target
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultReplyDeliveryMode()`
  Default value:
    "DEFAULT"
  Legal values:
    "PERSIST","NONPERSIST","DEFAULT"
  A dynamic MBean attribute.

### setDeliveryModeOverride

    public void setDeliveryModeOverride(String DeliveryModeOverride)
                                 throws InvalidAttributeValueException

  Sets the value of the DeliveryModeOverride attribute.

  Parameters:
    `DeliveryModeOverride` - mode for placing messages onto target
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDeliveryModeOverride()`
  Default value:
    "NONPERSIST"
  Legal values:
    "PERSIST","NONPERSIST"
  A dynamic MBean attribute.

### setJmsFactory

    public void setJmsFactory(String JmsFactory)
                       throws InvalidAttributeValueException

  Sets the value of the JmsFactory attribute.

  Parameters:
    `JmsFactory` - the JMS connection factory
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJmsFactory()`
  Default value:
    "weblogic.jms.XAConnectionFactory"
  Legal null:
    false
  A dynamic MBean attribute.

### setJmsToTuxPriorityMap

    public void setJmsToTuxPriorityMap(String jms2tuxpmap)
                                throws InvalidAttributeValueException

  Sets the value of the JmsToTuxPriorityMap attribute.

  Parameters:
    `jms2tuxpmap` - list of value-to-range pairs
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJmsToTuxPriorityMap()`
  A dynamic MBean attribute.

### setJndiFactory

    public void setJndiFactory(String JndiFactory)
                        throws InvalidAttributeValueException

  Sets the value of the JndiFactory attribute.

  Parameters:
    `JndiFactory` - the Name lookup factory
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJndiFactory()`
  Default value:
    "weblogic.jndi.WLInitialContextFactory"
  Legal null:
    false
  A dynamic MBean attribute.

### setRetries

    public void setRetries(int Retries)
                    throws InvalidAttributeValueException

  Sets the value of the Retries attribute.

  Parameters:
    `Retries` - number of times to try redirecting a message
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRetries()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setRetryDelay

    public void setRetryDelay(int RetryDelay)
                       throws InvalidAttributeValueException

  Sets the value of the RetryDelay attribute.

  Parameters:
    `RetryDelay` - time in milliseconds to wait before retrying to redirect a msg
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getRetryDelay()`
  Default value:
    10
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setTimeout

    public void setTimeout(int Timeout)
                    throws InvalidAttributeValueException

  Sets the value of the Timeout attribute.

  Parameters:
    `Timeout` - timeout in seconds if transactions are used
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTimeout()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.

### setTransactional

    public void setTransactional(String isTransactional)
                          throws InvalidAttributeValueException

  Sets the value of the Transactional attribute.

  Parameters:
    `isTransactional` - whether or not transactions should be used
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTransactional()`
  Default value:
    "NO"
  Legal values:
    "Yes", "No"
  A dynamic MBean attribute.

### setTuxErrorQueue

    public void setTuxErrorQueue(String TuxErrorQueue)
                          throws InvalidAttributeValueException

  Sets the value of the TuxErrorQueue attribute.

  Parameters:
    `TuxErrorQueue` - error destination for Tux msg if redirects fail
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTuxErrorQueue()`
  A dynamic MBean attribute.

### setTuxFactory

    public void setTuxFactory(String TuxFactory)
                       throws InvalidAttributeValueException

  Sets the value of the TuxFactory attribute.

  Parameters:
    `TuxFactory` - the Tuxedo connection factory
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTuxFactory()`
  Default value:
    "tuxedo.services.TuxedoConnection"
  Legal null:
    false
  A dynamic MBean attribute.

### setTuxToJmsPriorityMap

    public void setTuxToJmsPriorityMap(String tux2jmspmap)
                                throws InvalidAttributeValueException

  Sets the value of the TuxToJmsPriorotyMap attribute.

  Parameters:
    `tux2jmspmap` - list of range-to-value pairs
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTuxToJmsPriorityMap()`
  A dynamic MBean attribute.

### setUserId

    public void setUserId(String UserId)
                   throws InvalidAttributeValueException

  Sets the value of the UserId attribute.

  Parameters:
    `UserId` - user identification for all messages
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getUserId()`
  A dynamic MBean attribute.

### setWlsErrorDestination

    public void setWlsErrorDestination(String WlsErrorDestination)
                                throws InvalidAttributeValueException

  Sets the value of the WlsErrorDestination attribute.

  Parameters:
    `WlsErrorDestination` - error destination for JMS msg if redirects fail
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getWlsErrorDestination()`
  A dynamic MBean attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD